# quoteUndo

Undo the a quote after it has been applied

**Scope required:** standard:write

```graphql
mutation quoteUndo ($quoteId: ID!) {
  quoteUndo (quoteId: $quoteId) {
      errors
      invoices
      quote {
        acceptedAt
        acceptedByName
        acceptedByTitle
        accountId
        amount
        amountAsCurrency
        amountDue
        applicationDate
        applied
        applyOnAccept
        backdatedPeriods
        backdatedQuote
        billingDay
        contactId
        createdAt
        credits
        currencyId
        customFieldsData
        dealId
        discount
        discountValue
        documentTemplateId
        emailBody
        emailSubject
        endDate
        evergreen
        expiresAt
        hasCustomFields
        id
        invoiceImmediately
        invoiceImmediatelyAvailable
        invoiceUntil
        isPendingApprovalRequest
        message
        name
        netPaymentDays
        notes
        number
        ownerId
        payToAccept
        payableId
        periodAmount
        poNumber
        requiresApproval
        sharedAt
        signingIntegration
        skipBackdatedInvoices
        smallUnitAmountDue
        splitInvoice
        startDate
        subtotal
        taxAmount
        taxCode
        updatedAt
        userEmailBody
        userEmailSubject
        uuid
        viewedAt
      }
      subscriptions
  }
}
```

## Arguments

```json
{
  "quoteId": "456123"
}
```

| Name    | Type | Description |
| ------- | ---- | ----------- |
| quoteId | ID   |             |

## Response

| Name          | Type                                                                  | Description |
| ------------- | --------------------------------------------------------------------- | ----------- |
| errors        | List (String)                                                         |             |
| invoices      | List ([Invoice](/developer/api-reference/types/invoice.md))           |             |
| quote         | [Quote](/developer/api-reference/types/quote.md)                      |             |
| subscriptions | List ([Subscription](/developer/api-reference/types/subscription.md)) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/quoteundo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
